/*
 * Copyright (c)1999 by Angry Red Planet.
 *
 * This code is distributed under a modified form of the
 * Artistic License.  A copy of this license should have
 * been included with it; if this wasn't the case, the
 * entire package can be obtained at
 * <URL:http://www.angryredplanet.com/>.
 *
 * ----------------------------------------------------------------------
 *
 * SessionSettings.h
 *
 * Window to configure the ArpTelnet session.
 *
 * ----------------------------------------------------------------------
 *
 * Known Bugs
 * ~~~~~~~~~~
 *
 * ----------------------------------------------------------------------
 *
 * History
 * ~~~~~~~
 *
 * 2/28/1999:
 *	• Created from ArpTelnetSettings.
 *
 */

#ifndef SESSIONSETTINGS_H
#define SESSIONSETTINGS_H

#ifndef _VIEW_H
#include <be/interface/View.h>
#endif

#ifndef _MESSENGER_H
#include <be/app/Messenger>
#endif

#ifndef ARPKERNEL_ARPMESSAGE_H
#include <ArpKernel/ArpMessage.h>
#endif

#ifndef ARPKERNEL_ARPSTRING_H
#include <ArpKernel/ArpString.h>
#endif

#ifndef ARPKERNEL_ARPCONFIGUREIMPL_H
#include <ArpKernel/ArpConfigureImpl.h>
#endif

#ifndef ARPLAYOUT_ARPROOTLAYOUT_H
#include <ArpLayout/ArpRootLayout.h>
#endif

class SessionSettings : public ArpRootLayout
{
public:
	SessionSettings(const BMessenger& session,
					  const BMessage& initSettings,	// copied
					  const BFont* font = be_plain_font,
					  uint32 resizingMode = B_FOLLOW_ALL, 
					  uint32 flags = B_WILL_DRAW | B_FRAME_EVENTS);
	
	~SessionSettings();
	
	virtual void AttachedToWindow();
	virtual void DetachedFromWindow();
	virtual void MessageReceived(BMessage *message);
	
protected:
	typedef ArpRootLayout inherited;
	
	BMessenger mSession;
	ArpMessage mSettings;
	
	ArpConfigureImpl mImpl;
	ArpString mCurProtocol;
};

#endif
