/*
 * ArpTelnet Copyright (c)1997-98 by Dianne Hackborn.
 * All rights reserved.
 *
 * Based (increasingly loosly) on WebTerm, a Web-based terminal
 * applet written in Java, which is
 * Copyright (C)1996 by the National Alliance for Computational
 * Science and Engineering (NACSE).
 * See <URL:http://www.nacse.org/> for more information.
 *
 * This code is not public domain, nor freely distributable.
 * Please direct any questions or requests to Dianne Hackborn,
 * at <hackbod@lucent.com> or <hackbod@angryredplanet.com>.
 *
 * ----------------------------------------------------------------------
 *
 * SettingsWin.h
 *
 * Window to configure the terminal.
 *
 * ----------------------------------------------------------------------
 *
 * Known Bugs
 * ~~~~~~~~~~
 *
 * ----------------------------------------------------------------------
 *
 * History
 * ~~~~~~~
 *
 * 9/19/1998:
 *	• Created this file.
 *
 */

#ifndef SETTINGSWIN_H
#define SETTINGSWIN_H

#ifndef ARPKERNEL_ARPCONFIGUREFILE_H
#include <ArpKernel/ArpConfigureFile.h>
#endif

#ifndef _WINDOW_H
#include <be/interface/Window.h>
#endif

#ifndef _PATH_H
#include <be/storage/Path.h>
#endif

// forward refs
class BTabView;

class SettingsWin : public BWindow {
private:
	typedef BWindow inherited;
	
public:
	SettingsWin(const char* name, const ArpConfigureFile& config,
				BWindow* parent=0,
				window_look look = B_FLOATING_WINDOW_LOOK,
				//window_feel feel = B_FLOATING_SUBSET_WINDOW_FEEL,
				window_feel feel = B_NORMAL_WINDOW_FEEL,
				uint32 flags = B_ASYNCHRONOUS_CONTROLS);
	~SettingsWin();
	
	virtual void MessageReceived(BMessage *message);
	virtual	bool QuitRequested();
	
	BTabView* tabview;
};

#endif
